Imagick::shadeImage
Imagick::sharpenImage
Imagick
PHP Manual

# Imagick::shadowImage

(PECL imagick 2.0.0)

Imagick::shadowImage — Simulates an image shadow

### Description

bool Imagick::shadowImage ( float `$opacity` , float `$sigma` , int `$x` , int `$y` )

Simulates an image shadow.

### Parameters

`opacity`

`sigma`

`x`

`y`

### Return Values

Returns `TRUE` on success.

### Examples

Example #1 Imagick::shadowImage()

`<?php
function shadowImage($imagePath) {
$imagick = new \Imagick(realpath($imagePath));
$imagick->shadowImage(0.4, 10, 50, 5);
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`

Imagick::shadeImage
Imagick::sharpenImage
Imagick
PHP Manual